%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

Name:		libewf
Version:	20140608
Release:	2%{?dist}
Summary:	Library to support the Expert Witness Compression Format (EWF)
Group:		System Environment/Libraries
License:	LGPL
URL:		https://code.google.com/p/libewf/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	zlib
BuildRequires:	zlib-devel
BuildRequires:  fuse-devel
BuildRequires:	libewf == 20100226

%description
libewf is a library to support the Expert Witness Compression Format (EWF).
libewf allows you to read media information of EWF files in the SMART (EWF-S01)
format and the EnCase (EWF-E01) format. libewf allows to read files created by
EnCase 1 to 6, linen and FTK Imager.

%package	devel
Summary:	Header files and libraries for developing applications for libewf
Group:		Development/Libraries
Requires:	libewf = %{version}-%{release}

%description	devel
Header		files and libraries for developing applications for libewf.

%if 0%{?fedora} >= 19
%package	-n ewftools
%else
%package	tools
%endif
Summary:	Several tools for reading and writing EWF files
Group:		Applications/System
Requires:	libewf = %{version}-%{release} openssl-devel 
BuildRequires:	flex byacc openssl-devel 
%if 0%{?rhel} == 5
Requires:	uuid-devel
BuildRequires:	uuid-devel 
%else
Requires:	libuuid-devel
BuildRequires:	libuuid-devel 
%endif

%if 0%{?fedora} >= 19
%description	-n ewftools
%else
%description	tools
%endif
Several tools for reading and writing EWF files.
It contains tools to acquire, export, query and verify EWF files.

%package python
Summary: Python bindings for libewf
Group: System Environment/Libraries
Requires: libewf = %{version}-%{release} python
BuildRequires: %(basename %{__python})-devel

%description python
Python bindings for libewf


%prep
%setup -q -n libewf-%{version}

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --without-libbfio --enable-python
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
################################################################
# For backward compatibility, this part of the install script
# installs libewf.so.1.* for the correct release and architecture
################################################################
cp -P %{_libdir}/%{name}.so.* ${RPM_BUILD_ROOT}/%{_libdir}

################################################################
# End of renames
################################################################

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libewf.pc
%{_includedir}/*
%{_mandir}/man3/*

%if 0%{?fedora} >= 19
%files		-n ewftools
%else
%files		tools
%endif
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/ewf*
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

### Exclude expirimental files ###
%exclude %{_bindir}/ewfdebug

%changelog
* Fri Jun 27 2014 Lawrence R. Rogers <lrr@cert.org> 20140608-2
	Added libewf-python

* Sun Jun 08 2014 Lawrence R. Rogers <lrr@cert.org> 20140608-1
	Joachim's 20140608 release, which includes:
	20140608
	* bug fix for utf16 header functions

	20140602
	* bug fix in ewfmount regarding logical files date and time values

	20140525
	* updated python.m4

	20140427
	* fixes to build static library with mingw and cygwin

	20140406
	* bug fixes in m4 files

	20140228
	* removed #error restriction in dependency include header files
	* make pyewf_handle_open more strict to catch non-string objects
	  without the check the code will segfault on non-string objects

* Sun Apr 27 2014 Lawrence R. Rogers <lrr@cert.org> 20140427-1
* Release 20140427-1
	Joachim's 20140427 release, which includes:

	* fixes to build static library with mingw and cygwin
	* bug fixes in m4 files
	* removed #error restriction in dependency include header files
	* make pyewf_handle_open more strict to catch non-string objects
	  without the check the code will segfault on non-string objects
	* bug fixes in empty block compression
	* bug fix in libewf_read_io_handle_read_chunk_data error tolerance
	  code path

* Mon Feb 24 2014 Lawrence R. Rogers <lrr@cert.org> 20140216-1
* Release 20140216-1
	Joachim's 20140216 release, which includes:

	* bug fix in recent process status changes
	* integrating latest update for multi threaded ewfacquire changes
	* changed behavior of empty-block check
	* worked on integrating multi threaded ewfacquire changes
	* updated dependencies
	* added libcdatetime
	* removed borlandc files
	* small updates
	* moved low-level function support from compile time to run time
	* worked on sync with experimental version

	* Also added missing fuse-devel build requirement
	
* Tue Dec 10 2013 Lawrence R. Rogers <lrr@cert.org> 20131210-1
* Release 20131210-1
	Joachim's 20131210 release, which includes:
	
	* updated dependencies
	* worked on Python bindings
	* added libcthreads
	* fix in DFXML output for size values
	* worked on ewfmount

* Thu Jun 6 2013 Lawrence R. Rogers <lrr@cert.org> 20130416-1
* Release 20130416-1
	Due to libbfio{,-devel} conflicts, the --without-libbfio was added to
	  the configure step to force use of a local (internal) copy of libbfio.

	Joachim's 20130416 release, which includes:

	20130416
	 * bug fix in libcfile.m4 for building on MingW and Cygwin
	 * fix in libsmdev for MinGW build

	20130402
	 * changes to zlib.m4 for adler32 detection
	 * moved README.mingw and README.static to wiki

	20130331
	 * worked on libcdata integration
	 * updated msvscpp files
	 * updated codegear files
	 * sync with experimental version

	20130330
	 * updated dependencies
	 * updates for libsmdev
	 * added error tolerance for Logicube image with missing checksum in data section
	 * code clean up
	 * worked on libcdata integration

	20130302
	 * updated types.h
	 * fixed maximum number of segments

	20130205
	 * changes and fixes in debug output

* Mon Jan 28 2013 Lawrence R. Rogers <lrr@cert.org> 20130128-1
* Release 20130128-1
	Joachim's 20130128 release 

* Sun Dec 9 2012 Lawrence R. Rogers <lrr@cert.org> 20120813-1
* Release 20121209-1
	Joachim's 20121209 release 

* Mon Aug 13 2012 Lawrence R. Rogers <lrr@cert.org> 20120813-1
* Release 20120813-1
	Joachim's 20120813 release 

* Sun Jun 3 2012 Lawrence R. Rogers <lrr@cert.org> 20120603-1
* Release 20120603-1
	Joachim's 20120603 release 

* Sat May 5 2012 Lawrence R. Rogers <lrr@cert.org> 20120504-1
* Release 20120504-1
	Joachim's 20120504 release 

* Mon Apr 16 2012 Lawrence R. Rogers <lrr@cert.org> 20120416-1
* Release 20120416-1
	Joachim's 20120416 release 

* Sun Feb 12 2012 Lawrence R. Rogers <lrr@cert.org> 20120212-1
* Release 20120212-1
	Joachim's 20120212 release 

* Fri Jan 27 2012 Lawrence R. Rogers <lrr@cert.org> 20120122-1
* Release 20120122-1
	Joachim's 20120122 release 

* Sat Dec 31 2011 Lawrence R. Rogers <lrr@cert.org> 20111231-1
* Release 20111231-1
	Joachim's 20111231 release 

* Wed Oct 26 2011 Lawrence R. Rogers <lrr@cert.org> 20111023-1
* Release 20111023-1
	Joachim's 20101023 release 

* Mon Oct 17 2011 Lawrence R. Rogers <lrr@cert.org> 20111016-1
* Release 20111016-1
	Joachim's 20101016 release 

* Mon Oct 10 2011 Lawrence R. Rogers <lrr@cert.org> 20111010-1
* Release 20111010-1
	Joachim's 20101010 release plus libewf.so.1.0.? from FC[12-15] and EL[5-6]

* Mon Aug  1 2011 Joachim Metz <jbmetz@users.sourceforge.net> 20110801-1
- Added libhmac and libfvalue, changed libcrypto build dependencies

* Fri Nov 19 2010 Joachim Metz <jbmetz@users.sourceforge.net> 20101119-1
- Added flex and byacc build dependencies

* Thu Nov  4 2010 Joachim Metz <jbmetz@users.sourceforge.net> 20101104-1
- Added README.static

* Wed Jul 14 2010 Joachim Metz <jbmetz@users.sourceforge.net> 20100714-1
- Clean up of previous version of spec file

